Commit 4edfb94e authored by David Read's avatar David Read
Browse files

Move the dependencies to requirements.txt for general consistency with other ckan extensions.

parent 8d238af7
......@@ -50,7 +50,11 @@ To install ckanext-archiver:
pip install -e git+http://github.com/ckan/ckanext-archiver.git#egg=ckanext-archiver
pip install -e git+http://github.com/datagovuk/ckanext-report.git#egg=ckanext-report
3. Now create the database tables::
3. Install the archiver dependencies::
pip install -r ckanext-archiver/requirements.txt
4. Now create the database tables::
paster --plugin=ckanext-archiver archiver init --config=production.ini
paster --plugin=ckanext-report report initdb --config=production.ini
......@@ -88,15 +92,20 @@ NB Previously you needed both ckanext-archiver and ckanext-qa to see the broken
git pull
python setup.py develop
5. Create the new database tables::
paster --plugin=ckanext-archiver archiver init --config=production.ini
6. Install the developer dependencies, needed for the migration::
6. Ensure the archiver dependencies are installed::
pip install -r requirements.txt
7. Install the developer dependencies, needed for the migration::
pip install -r dev-requirements.txt
7. Migrate your database to the new Archiver tables::
8. Migrate your database to the new Archiver tables::
python ckanext/archiver/bin/migrate_task_status.py --write production.ini
......
......@@ -59,16 +59,8 @@ setup(
# simple. Or you can use find_packages().
packages=find_packages(exclude=['contrib', 'docs', 'tests*']),
# List run-time dependencies here. These will be installed by pip when your
# project is installed. For an analysis of "install_requires" vs pip's
# requirements files see:
# https://packaging.python.org/en/latest/technical.html#install-requires-vs-requirements-files
install_requires=[
'celery==2.4.2',
'kombu==2.1.3',
'kombu-sqlalchemy==1.1.0',
'SQLAlchemy>=0.6.6',
'requests>=1.1.0',
# Requirements defined in requirements.txt
],
# If there are data files included in your packages that need to be
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment